#include <stdio.h>
#include "array.h"


int foo(int g){
Stack *stack = NULL;
initStack(stack);
Array *tmp;
g = g * 2 + 4;

Array *ptr = NULL;
while (stackEmpty(stack)==0){
stack = popStack(stack, &ptr);
freeArray(ptr);
}
freeStack(stack);
return g;
}

int main(int g){
Stack *stack = NULL;
initStack(stack);
Array *tmp;
printf("Hello world!");
int x;
x = 15;

int y = foo(x);
printf("%d",y);
Array *ptr = NULL;
while (stackEmpty(stack)==0){
stack = popStack(stack, &ptr);
freeArray(ptr);
}
freeStack(stack);
return 0;
}
